<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: googletest-list-tests-unittest.GTestListTestsUnitTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgoogletest-list-tests-unittest_1_1GTestListTestsUnitTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">googletest-list-tests-unittest.GTestListTestsUnitTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for googletest-list-tests-unittest.GTestListTestsUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-list-tests-unittest_1_1GTestListTestsUnitTest__inherit__graph.svg" width="238" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for googletest-list-tests-unittest.GTestListTestsUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-list-tests-unittest_1_1GTestListTestsUnitTest__coll__graph.svg" width="238" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6630e10404717e8edd3df1439fb0d81c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-list-tests-unittest_1_1GTestListTestsUnitTest.html#a6630e10404717e8edd3df1439fb0d81c">RunAndVerify</a> (self, flag_value, expected_output_re, other_flag)</td></tr>
<tr class="separator:a6630e10404717e8edd3df1439fb0d81c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacba8c9eaef1b649ba40ede17218d0f1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-list-tests-unittest_1_1GTestListTestsUnitTest.html#aacba8c9eaef1b649ba40ede17218d0f1">testDefaultBehavior</a> (self)</td></tr>
<tr class="separator:aacba8c9eaef1b649ba40ede17218d0f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f5b423963d862456348a8903ccdfade"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-list-tests-unittest_1_1GTestListTestsUnitTest.html#a8f5b423963d862456348a8903ccdfade">testFlag</a> (self)</td></tr>
<tr class="separator:a8f5b423963d862456348a8903ccdfade"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961396c3c2b8d22f6491beb5348594aa"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-list-tests-unittest_1_1GTestListTestsUnitTest.html#a961396c3c2b8d22f6491beb5348594aa">testOverrideNonFilterFlags</a> (self)</td></tr>
<tr class="separator:a961396c3c2b8d22f6491beb5348594aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb60d2295fee8ed4af2a5ee1a32e5778"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-list-tests-unittest_1_1GTestListTestsUnitTest.html#adb60d2295fee8ed4af2a5ee1a32e5778">testWithFilterFlags</a> (self)</td></tr>
<tr class="separator:adb60d2295fee8ed4af2a5ee1a32e5778"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Tests using the --gtest_list_tests flag to list all tests.</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a6630e10404717e8edd3df1439fb0d81c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6630e10404717e8edd3df1439fb0d81c">&#9670;&nbsp;</a></span>RunAndVerify()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-list-tests-unittest.GTestListTestsUnitTest.RunAndVerify </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>flag_value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>expected_output_re</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>other_flag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Runs googletest-list-tests-unittest_ and verifies that it prints
the correct tests.

Args:
  flag_value:         value of the --gtest_list_tests flag;
                      None if the flag should not be present.
  expected_output_re: regular expression that matches the expected
                      output after running command;
  other_flag:         a different flag to be passed to command
                      along with gtest_list_tests;
                      None if the flag should not be present.
</pre> 
</div>
</div>
<a id="aacba8c9eaef1b649ba40ede17218d0f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacba8c9eaef1b649ba40ede17218d0f1">&#9670;&nbsp;</a></span>testDefaultBehavior()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-list-tests-unittest.GTestListTestsUnitTest.testDefaultBehavior </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of the default mode.</pre> 
</div>
</div>
<a id="a8f5b423963d862456348a8903ccdfade"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f5b423963d862456348a8903ccdfade">&#9670;&nbsp;</a></span>testFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-list-tests-unittest.GTestListTestsUnitTest.testFlag </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests using the --gtest_list_tests flag.</pre> 
</div>
</div>
<a id="a961396c3c2b8d22f6491beb5348594aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a961396c3c2b8d22f6491beb5348594aa">&#9670;&nbsp;</a></span>testOverrideNonFilterFlags()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-list-tests-unittest.GTestListTestsUnitTest.testOverrideNonFilterFlags </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests that --gtest_list_tests overrides the non-filter flags.</pre> 
</div>
</div>
<a id="adb60d2295fee8ed4af2a5ee1a32e5778"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb60d2295fee8ed4af2a5ee1a32e5778">&#9670;&nbsp;</a></span>testWithFilterFlags()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-list-tests-unittest.GTestListTestsUnitTest.testWithFilterFlags </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests that --gtest_list_tests takes into account the
--gtest_filter flag.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-list-tests-unittest.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>googletest-list-tests-unittest</b></li><li class="navelem"><a class="el" href="classgoogletest-list-tests-unittest_1_1GTestListTestsUnitTest.html">GTestListTestsUnitTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
